#ifndef __PrintMatching_h__
#define __PrintMatching_h__

#include "Processing.h"
#include "cpb_module.h"

#define BLURRED_ENGRAVE_STANDARD_V 70

#define HIGH_ROTATION_PRINT_ADD_M  4
#define LOW_ROTATION_PRINT_ADD_M   3

extern int CurrentPrintPixelCnt;

#ifdef PC_SIM
extern unsigned char ExtractPrintData[640 * 480];
#endif

//---------------------------------------------------------------------------
void PrintMatching(int cameraIndex);
void PrintMatchingForEachCase(int option, int cameraIndex);
void PrintMatchingForHighRotationCase(int cameraIndex);
void PrintMatchingForLowRotationCase(int cameraIndex);
void ExtractFrontFaceSplitLine(int cameraIndex);
void FrontFaceSplitLineMatching(int cameraIndex);
void ExtractBrightPixelNeighborPrint(int cameraIndex);
//---------------------------------------------------------------------------

#endif /* __cpb_module_h__ */
